package com.example.pap_findu.models;

public class ChatMessage {
    private String message;
    private String senderId;
    private String timestamp;
    private boolean isSentByMe;

    // 1. Construtor Vazio (OBRIGATÓRIO para o Firebase conseguir ler os dados)
    public ChatMessage() {
    }

    // 2. Construtor para enviar mensagens (usado na ChatActivity)
    public ChatMessage(String message, String senderId, String timestamp) {
        this.message = message;
        this.senderId = senderId;
        this.timestamp = timestamp;
    }

    // --- Getters e Setters ---

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getSenderId() {
        return senderId;
    }

    public void setSenderId(String senderId) {
        this.senderId = senderId;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public boolean isSentByMe() {
        return isSentByMe;
    }

    // Este setter é usado na ChatActivity dentro do loop listenForMessages
    public void setSentByMe(boolean sentByMe) {
        isSentByMe = sentByMe;
    }
}